/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*======================
    ROOT STYLING
======================*/

:root {
    --c-dark-blue: #14202E;
    --c-green: #A3B4A9;
    --c-yellow: #efbe78;
    --c-blue: #02aeba;
    --c-pink: #d9c1b9;
    --c-coral: #B36166;
    --c-cream: #ebe8dc;
    --c-dark-red: #4b181b;

    --p-side-spacing: 35px;
    --p-def-spacing: 55px;
    --p-large-spacing: 70px;
    --p-xlarge-spacing: 95px;
}

  
/*======================
    GENERAL
======================*/

/* fix for absolute sections to avoid x overflow */
div[data-elementor-type="wp-page"] > div > .elementor-section-wrap {
    position: relative;
    overflow: hidden !important;
}

.auto-height svg,
.auto-height div,
.auto-height a {
    height: auto !important;
    display: block;
}

::-moz-selection {
    background: #100f3180;
    color: #ffffff;
}

::-moz-selection,
::selection {
    background: #100f3180;
    color: #ffffff;
}

.elementor-widget-text-editor a {
    color: currentColor;
}

p:last-child {
    margin-bottom: 0 !important;
}

/* .elementor-section.elementor-top-section {
    overflow-x: clip;
} */

.top_arrow {
    cursor: pointer;
}

.no-pointer-events {
    pointer-events: none !important;
}

.mobile-only {
    display: none
}

.image-width-auto img  {
    width: auto !important;
}

.overflow-y-visible {
    overflow-y: visible;
}

.overflow-x-hidden {
    overflow-x: hidden !important;
}

@media all and (max-width: 767px) {

    .mobile-only {
        display: block
    }

    .desktop-only {
        display: none;
    }

}

@media all and (min-width: 1025px) {

    .fullw-col-right>div {
        padding-right: clamp(var(--p-side-spacing, 35px), calc((100vw - 1200px) /2), 50vw) !important;
    }

    .fullw-col-left>div {
        padding-left: clamp(var(--p-side-spacing, 35px), calc((100vw - 1200px) /2), 50vw) !important;
    }

    .fullw-col-left .elementor-widget-wrap,
    .fullw-col-right .elementor-widget-wrap {
        position: initial;
    }

}

/* List fix */

.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol {
    padding-left: 1em;
}

.elementor-widget-text-editor ul li:not(:last-child),
.elementor-widget-text-editor ol li:not(:last-child) {
    margin-bottom: 0.45em;
}


/*======================
    SECTION PADDING
======================*/

.def-margins {
    margin-top: var(--p-large-spacing, 70px);
    margin-bottom: var(--p-large-spacing, 70px);
    padding-left: var(--p-side-spacing, 35px);
    padding-right: var(--p-side-spacing, 35px);
}

.def-padding {
    padding: var(--p-def-spacing, 55px) var(--p-side-spacing, 35px);
}

.large-padding {
    padding: var(--p-large-spacing, 70px) var(--p-side-spacing, 35px);
}

.xlarge-padding {
    padding: var(--p-xlarge-spacing, 95px) var(--p-side-spacing, 35px);
}

.def-side-padding {
    padding-left: var(--p-side-spacing, 25px) !important;
    padding-right: var(--p-side-spacing, 25px) !important;
}

@media all and (max-width: 1024px) {

    :root {
        --p-side-spacing: 26px;
    }

}

@media all and (max-width: 767px) {

    :root {
        --p-side-spacing: 22px;
        --p-def-spacing: 44px;
        --p-large-spacing: 44px;
        --p-xlarge-spacing: 64px;
    }

}

.top-slider_desktop .swiper-slide-inner {
    max-width: 1200px;
}

/*======================
BUTTONS
======================*/

.def-button .elementor-button-link {
    position: relative;
}

.def-button .elementor-button-icon {
    margin-left: 0.75em !important;
}

.def-button .elementor-button-link::before {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border: 2px solid currentColor;
    border-radius: 500px;
    transition: 200ms ease all;
    -webkit-transition: 200ms ease all;
    -moz-transition: 200ms ease all;
    -ms-transition: 200ms ease all;
    -o-transition: 200ms ease all;
}

.def-button .elementor-button-link:hover::before {
    right: 0.68em;
    width: 2.1em;
    height: 2.1em;
    top: 0.15em;
}

/*
COLOURS
*/

.def-button.button_dark-blue-text .elementor-button-text {
    color: var(--c-dark-blue);
}

.def-button.button_white-text .elementor-button-text {
    color: #ffffff;
}

/*======================
MENU
======================*/

#main-menu, #main-menu > div {
    -webkit-transition: 300ms ease all;
    -o-transition: 300ms ease all;
    transition: 300ms ease all;
}

#main-menu.elementor-sticky--effects {
    background-color: var(--c-dark-blue);
}

#main-menu.elementor-sticky--effects > div {
    min-height: 40px;
}

.menu_nav .elementor-sub-item {
    border: 0 !important;
}

.menu_nav a.has-submenu .sub-arrow {
    display: none !important;
}

/* Mobile Menu */

.mobile_nav .elementor-nav-menu--dropdown {
    margin: 0 !important;
    position: relative !important;
    background-color: transparent;
}

.mobile_nav .elementor-nav-menu--dropdown a {
    border: 0;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    color: #fff;
    padding: 0.5em 0;
    margin-bottom: 0.5em;
}

.mobile_nav .elementor-nav-menu--dropdown li:last-child {
    padding-bottom: 16px;
    margin-bottom: 16px;
    border-bottom: 1px solid #ffffff30;
}

#elementor-popup-modal-1244 .dialog-message {
    -ms-scroll-chaining: none;
        overscroll-behavior: contain;
}

/*======================
HOME
======================*/

.home_header-top .elementor-repeater-item-df0ca41 .swiper-slide-bg {
    background-position: top !important;
}

.home_header-top h1,
.home_header-top h2 {
    font-weight: 400;
}

.top-slider_desktop .swiper-pagination,
.top-slider_mobile .swiper-pagination {
    z-index: 1 !important;
}

.home_header-top .swiper-pagination-bullets {
    width: auto !important;
    -webkit-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
            transform: rotate(90deg);
    position: absolute;
    right: clamp(var(--p-side-spacing), calc((100vw - 1200px) /2), 50vw);
    top: 48%;
    left: unset !important;
    bottom: unset !important;
}

@media all and (max-width: 1024px){

    .home_header-top .swiper-pagination-bullets {
        right: var(--p-side-spacing);
    }

}

@media all and (min-width: 1025px) {

    .home_header-top .elementor-headline-dynamic-text br {
        display: none;
    }

}

.article-part_excerpt {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.home_clients .elementor-column > div {
    gap: 10px 20px;
}

@media all and (min-width: 768px) {

    .home_clients .elementor-element {
        margin: auto
    }

}

.home_serv-section .elementor-widget-wrap {
    gap: 35px 5%;
}

.home_team_heading {
    font-size: 1rem;
    font-style: italic;
    font-weight: 400;
}

.team_linked-in {
    margin-top: 0.5em !important;
}

.team_linked-in a {
    color: var(--c-dark-blue);
}

.team_linked-in .elementor-icon-list-icon {
  font-size: 1.1em;
  margin-top: -0.3em;
}

@media all and (max-width: 767px) {

    .team_linked-in {
        -webkit-box-pack: center;
            -ms-flex-pack: center;
                justify-content: center;
    }

    .home_serv-section .elementor-widget-wrap {
        gap: 55px 0;
    }

}

/*
SLIDER BUTTONS
*/

.top-slider_desktop .elementor-button {
    position: relative;
    padding-right: 2.9em;
}

.top-slider_desktop .elementor-button::after {
    content: '';
    position: absolute;
    right: 1.2em;
    top: 0.7em;
    height: 1em;
    width: 1em;
    background: url(/wp-content/uploads/2023/01/chev-right.svg);
      background-repeat: repeat;
      background-size: auto;
    background-size: cover;
    background-repeat: no-repeat;
}

.top-slider_desktop .elementor-button::before {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border: 2px solid currentColor;
    border-radius: 500px;
    transition: 200ms ease all;
    -webkit-transition: 200ms ease all;
    -moz-transition: 200ms ease all;
    -ms-transition: 200ms ease all;
    -o-transition: 200ms ease all;
}

.top-slider_desktop .elementor-button:hover::before {
    right: 0.55em;
    width: 2.1em;
    height: 2.1em;
    top: 0.15em;
}

/*======================
TRIANGLE SECTIONS
======================*/

.header_text-section {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
}

.absolute-column-right {
    position: absolute;
    right: 0;
    -webkit-transform: translateY(-60%);
        -ms-transform: translateY(-60%);
            transform: translateY(-60%);
}

.absolute-column-left {
    position: absolute;
    left: 0;
    -webkit-transform: translateY(-60%);
        -ms-transform: translateY(-60%);
            transform: translateY(-60%);
}

.absolute-section {
    position: absolute;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    width: 100%;
}

.absolute-section .elementor-column {
    min-height: 0 !important;
}


/*======================
FOOTER
======================*/

.fab.fa-facebook-f {
    width: 1em !important;
}

.footer_disclaimer {
    margin: 0 auto;
}

.footer_left-col {
    width: 25% !important;
}

.footer_right-col {
    width: 71% !important;
}

@media all and (max-width: 1024px){

    .footer_left-col,
    .footer_right-col {
        width: 100% !important;
    }
    
}


/*======================
SERVICES ARCHIVE
======================*/

.services-archive_item .elementor-cta__bg-wrapper {
    min-height: 0 !important;
    padding-top: 80%;
}

@media all and (min-width: 1025px){

    .services-archive_item h2 {
        font-size: 49px
    }
    
}
    
.services_blue-section::before {
    content: '';
    background-color: var(--c-dark-blue);
    position: absolute;
    height: calc(100%);
    width: 100%;
    top: 10%;
    left: 0;
    -webkit-transform: skew(0, 8deg);
        -ms-transform: skew(0, 8deg);
            transform: skew(0, 8deg);
}

@media all and (max-width: 767px){
    
    .services_blue-section::before {
        top: 5%;
    }
    
}

.serv_popup-button_sect {
    pointer-events: none;
    top: 50vh !important;
    position: fixed;
}

.serv_p-button {
    -webkit-transform: rotate(-90deg) translate(50%, -18px);
        -ms-transform: rotate(-90deg) translate(50%, -18px);
            transform: rotate(-90deg) translate(50%, -18px);
    -webkit-transform-origin: right;
        -ms-transform-origin: right;
            transform-origin: right;
    pointer-events: all;
}

@media all and (max-width: 767px){

    .serv_p-button {
        -webkit-transform: rotate(-90deg) translate(50%, -14px);
            -ms-transform: rotate(-90deg) translate(50%, -14px);
                transform: rotate(-90deg) translate(50%, -14px);
    }

}

.serv_new-sidebar-nav .elementor-item-active {
  font-weight: 700 !important;
}

.serv_new-sidebar-nav .elementor-item-active::before {
  content: '';
  background: #fff !important;
  position: absolute;
  left: -0.6em;
  top: calc(50% - 2.5px);
  height: 5px;
  width: 5px;
  border-radius: 50%;
}

/*======================
SERVICES SINGLES
======================*/

.serv_icon-list .elementor-icon-list-icon {
    -ms-flex-item-align: start;
        align-self: flex-start;
    margin-top: 0.25em;
}

.serv_icon-list .elementor-icon-list-text ul {
    padding-left: 1em;
    list-style: '• ';
}


/*=======================
HOMEPAGE HEADER ANIMATION
=======================*/

.heading_animate-in {
    -webkit-transform: translateY(2em) scale(1.5);
        -ms-transform: translateY(2em) scale(1.5);
            transform: translateY(2em) scale(1.5);
    opacity: 0;
    -webkit-transform-origin: 20% 50%;
        -ms-transform-origin: 20% 50%;
            transform-origin: 20% 50%;
}

.swiper-slide-active .heading_animate-in {
    -webkit-animation: CustomSlideIn 800ms ease 1400ms 1 forwards;
            animation: CustomSlideIn 800ms ease 1400ms 1 forwards;
}

@-webkit-keyframes CustomSlideIn {
from {
    opacity: 0;
    -webkit-transform: translateY(2em) scale(1.5);
            transform: translateY(2em) scale(1.5);
    }
to {
    opacity: 1;
    -webkit-transform: translateY(0) scale(1);
            transform: translateY(0) scale(1);
    }
}

@keyframes CustomSlideIn {
from {
    opacity: 0;
    -webkit-transform: translateY(2em) scale(1.5);
            transform: translateY(2em) scale(1.5);
    }
to {
    opacity: 1;
    -webkit-transform: translateY(0) scale(1);
            transform: translateY(0) scale(1);
    }
}

/*======================
COOKIE BANNER
======================*/

.wt-cli-ckyes-footer-section {
    display: none !important;
}

#cookie-law-info-bar > div {
    max-width: 1150px;
}